#!/usr/bin/env python

from tooldistillator.interfaces import (
    ToolDistillatorResultIterator,
)

required_metadata = {
    "hid": "Historic ID to bwa contigs file from Galaxy",
    "analysis_software_version": "bwa version number",
    "reference_database_version": "bwa reference genome",
    "paired_second_file_path": "if paired inputs are uses",
    "paired_second_file_hid": "Galaxy HID to the paired file"
}


class BwaIterator(ToolDistillatorResultIterator):
    """
    BWA tool parser

    | Extract path of filtered long read data

    | Args:
    |     ToolDistillatorResultIterator: abstract class to the parser
    """

    def __init__(self, source, metadata):
        metadata["analysis_software_name"] = "bwa"
        self.metadata = metadata
        super().__init__(source, metadata)
        self.tooldistillator_results["tool_has_database"] = True
        self.parse()

    def parse(self):
        self.extract_metadata_information(self.metadata)
