#!/usr/bin/env python

from tooldistillator.interfaces import (
    ToolDistillatorResultIterator,
)

required_metadata = {
    "analysis_software_version": "filtlong version number",
    "hid": "Historic ID to filtlong contigs file from Galaxy",
    "reference_database_version": "DB version",
}


class FiltlongIterator(ToolDistillatorResultIterator):
    """
    Filtlong tool parser

    | Extract path of filtered long read data

    | Args:
    |     ToolDistillatorResultIterator: abstract class to the parser
    """

    def __init__(self, source, metadata):
        metadata["analysis_software_name"] = "filtlong"
        self.metadata = metadata
        super().__init__(source, metadata)
        self.tooldistillator_results["tool_has_database"] = False

    def parse(self):
        pass
