#!/usr/bin/env python
from tooldistillator.interfaces import (
    ToolDistillatorResultIterator,
)

required_metadata = {
    "analysis_software_version": "multiqc version",
    "hid": "historic ID for multiqc file from galaxy",
    "reference_database_version": "DB version",
}


class MultiqcIterator(ToolDistillatorResultIterator):
    """
    MultiQC tool parser

    | Extract html report from MultiQC

    | Args:
    |     ToolDistillatorResultIterator: abstract class to the parser
    """
    def __init__(self, source, metadata):
        metadata["analysis_software_name"] = "multiqc"
        self.metadata = metadata
        super().__init__(source, self.metadata)
        self.tooldistillator_results["tool_has_database"] = False
        self.parse()

    def parse(self):
        """
        Keep the html report informations
        """
        self._check_input_files(self.source)
